[![crates.io](https://img.shields.io/crates/v/rtodo)](https://crates.io/crates/rtodo)
![GitHub](https://img.shields.io/github/license/tiagorcorreia/rtodo)
![maintenance](https://img.shields.io/maintenance/yes/2022)
[![contributors](https://img.shields.io/github/contributors/tiagorcorreia/rtodo)](https://github.com/hoodie/notify-rust/graphs/contributors)

# A simple To-Do list manager written in Rust

I wrote this project while I'm learning Rust for practice.

I decided to put this project online so that others, like me, who are learning Rust can
take some ideas and help me improve this code too.

Feel free to open a pull request to improve the code, add new features, and help me learn Rust.

## Features

- List todos
- Add todos
- Remove todos
- Update todos
- Set Priority
- Status Done/Undone
- Sort by priority and status

## Screenshots

<p align="center"><img src="/img/img1.png?raw=true"/></p>
<p align="center"><img src="/img/img2.png?raw=true"/></p>
<p align="center"><img src="/img/img3.png?raw=true"/></p>
<p align="center"><img src="/img/img4.png?raw=true"/></p>


## Installation


Install rtodo with cargo

```bash
cargo install rtodo
```

Install rtodo on ArchLinux

```bash
yay -S rtodo-bin
```

    
## Run Locally

Clone the project

```bash
  git clone https://github.com/TiagoRCorreia/rtodo.git
```

Go to the project directory

```bash
  cd rtodo
```

Build project

```bash
  cargo build --release
```

Run the program

```bash
  cargo run
```


## Roadmap

- mark todo as done

- Define the priority of todo

- better error handling



## Feedback

If you have any feedback, please reach out to me at tiagorcoreia87@gmail.com



## Contributing

Contributions are always welcome!

See [contributing](CONTRIBUTING.md) for ways to get started.

Please adhere to this project's [code of conduct](CODE_OF_CONDUCT.md).



## License

[MIT](https://choosealicense.com/licenses/mit/)

